curl --request GET \
--url https://public.api.live.turrisfi.com/v2/upstream/agents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/upstream/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/upstream/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"agent": {
"_id": "<string>",
"npn": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"downstreamEntityAgentAssociationIds": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"middleName": "<string>"
},
"creationPath": "addition",
"niprDataSubscription": {
"dataOwnerId": "<string>",
"dataOwnerModel": "<string>",
"entityModel": "<string>",
"entityInfo": {
"status": "<string>",
"jobId": "<string>",
"message": "<string>",
"rawEntityInfoId": "<string>"
},
"npn": "<string>",
"lastSynchronizationDate": "2023-11-07T05:31:56Z",
"pdbAlertsSubscriptionStatus": "<string>",
"pdbAlertsPausedAt": "2023-11-07T05:31:56Z"
},
"isUploadedByUpstreamEntity": true,
"isDeleted": true,
"isArchived": true,
"authority": [
{
"upstreamEntityProductId": "<string>",
"requestedStates": [
"CA",
"TX",
"NY"
],
"approvedStates": [
"CA",
"TX"
]
}
],
"email": "<string>",
"isDeliverable": true,
"externalId": "<string>"
}
],
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}List Agents
Retrieve all agents associated with your organization
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/upstream/agents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/upstream/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/upstream/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"agent": {
"_id": "<string>",
"npn": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"downstreamEntityAgentAssociationIds": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"middleName": "<string>"
},
"creationPath": "addition",
"niprDataSubscription": {
"dataOwnerId": "<string>",
"dataOwnerModel": "<string>",
"entityModel": "<string>",
"entityInfo": {
"status": "<string>",
"jobId": "<string>",
"message": "<string>",
"rawEntityInfoId": "<string>"
},
"npn": "<string>",
"lastSynchronizationDate": "2023-11-07T05:31:56Z",
"pdbAlertsSubscriptionStatus": "<string>",
"pdbAlertsPausedAt": "2023-11-07T05:31:56Z"
},
"isUploadedByUpstreamEntity": true,
"isDeleted": true,
"isArchived": true,
"authority": [
{
"upstreamEntityProductId": "<string>",
"requestedStates": [
"CA",
"TX",
"NY"
],
"approvedStates": [
"CA",
"TX"
]
}
],
"email": "<string>",
"isDeliverable": true,
"externalId": "<string>"
}
],
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}npn, licenseNumber/stateCode, and email filters are mutually exclusive. Use one of them, not several. The email filter matches the agent primary email or any labeled email (business, personal, or other) and is case-insensitive.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by downstream entity association ID
Filter by National Producer Number (NPN). Mutually exclusive with licenseNumber/stateCode and email.
"123456"
Filter by license number. Must be provided together with stateCode. Mutually exclusive with npn and email.
"ABC123456"
Filter by state code. Must be provided together with licenseNumber. Mutually exclusive with npn and email.
"AK"
Exact email address to filter agents by. Matches the agent primary email or any labeled email (business/personal/other), case-insensitively. Mutually exclusive with npn and licenseNumber/stateCode.
"agent@example.com"
Was this page helpful?